#!/bin/bash
#
# ATTENTION: 
# 1.This must be in ${opencms}/WEB-INF/ and executable.
# 2.adjust OPENCMS_BASE
# 3.adjust the java-path in last line
# TODO configure this via variables 
# maybe you'll have to set other variables as well
#
# Start script for the OpenCms Shell
#
# Please make sure that "servlet-api.jar" and "jsp-api.jar" are found.
#

echo parameter 1 = $1
echo parameter 2 = $2
# get path to opencms base directory 
pushd `dirname $0` > /dev/null
OPENCMS_BASE=`dirs +0`
popd > /dev/null

OPENCMS_BASE=/srv/apache-tomcat/webapps/ROOT/WEB-INF
echo OPENCMS_BASE=$OPENCMS_BASE

# get path to tomcat home 
if [ -z "$TOMCAT_HOME" ]; then
	[ -n "$CATALINA_HOME" ] && TOMCAT_HOME="$CATALINA_HOME"
	[ -z "$TOMCAT_HOME" ] && TOMCAT_HOME="$OPENCMS_BASE"/../../..
fi

TOMCAT_CLASSPATH=""
# Support for tomcat 5
for JAR in ${TOMCAT_HOME}/common/lib/*.jar; do
   TOMCAT_CLASSPATH="${TOMCAT_CLASSPATH}:${JAR}"
done
for JAR in ${TOMCAT_HOME}/shared/lib/*.jar; do
   TOMCAT_CLASSPATH="${TOMCAT_CLASSPATH}:${JAR}"
done
# Support for tomcat 6
for JAR in ${TOMCAT_HOME}/lib/*.jar; do
   TOMCAT_CLASSPATH="${TOMCAT_CLASSPATH}:${JAR}"
done

OPENCMS_CLASSPATH=""
for JAR in ${OPENCMS_BASE}/lib/*.jar; do
   OPENCMS_CLASSPATH="${OPENCMS_CLASSPATH}:${JAR}"
done

printf "$1" | /usr/lib/jvm/java-7-oracle/jre/bin/java -Xms128M -Xmx256M -classpath "${OPENCMS_CLASSPATH}:${TOMCAT_CLASSPATH}:classes" org.opencms.main.CmsShell -base="${OPENCMS_BASE}" 
#"$@"
